Skip to main content
GET
/
api
/
v1
/
engines
/
{engine_slug}
/
config
Get Engine Config
curl --request GET \
  --url https://api.usenexio.com/api/v1/engines/{engine_slug}/config \
  --header 'Authorization: Bearer <token>'
{
  "config": {
    "schema_version": 1,
    "pack_key": "insurance-personal-lines",
    "pack_version": 1,
    "scoring_dimensions": [
      {
        "key": "coverage_completeness",
        "label": "Coverage Completeness",
        "method": "deterministic",
        "enabled": true
      },
      {
        "key": "pricing_competitiveness",
        "label": "Pricing Competitiveness",
        "method": "deterministic",
        "enabled": true
      }
    ],
    "appetite_weight_profiles": [
      {
        "bucket": "balanced",
        "label": "Balanced",
        "weights": {
          "coverage_completeness": 0.25,
          "pricing_competitiveness": 0.25
        }
      }
    ],
    "default_appetite_bucket": "balanced"
  },
  "config_updated_at": "2026-04-03T09:15:00Z",
  "config_updated_by": "key_abc123",
  "engine_type": "placement",
  "preset": {
    "schema_version": 1,
    "pack_key": "insurance-personal-lines",
    "pack_version": 1
  }
}

Authorizations

Authorization
string
header
required

API key with environment prefix. Use nx_test_... for sandbox and nx_live_... for production. Obtain keys at platform.usenexio.com/settings/api-keys.

Path Parameters

engine_slug
string
required

Engine identifier slug (e.g. default).

Response

Engine configuration.

Engine configuration with audit metadata. The config structure varies by engine_type. Use the contract endpoint to retrieve a human-readable guide for your engine's config schema.

config
object
required

Engine configuration object. Structure depends on engine_type.

engine_type
enum<string>
required

Engine type.

Available options:
placement,
entity_analysis
preset
object
required

Default configuration template for this engine type.

config_updated_at
string<date-time> | null

When the config was last updated, or null if never modified after creation.

config_updated_by
string | null

API key identifier that last updated the config, or null.